Cirrus Identity Identities API

v1.1.0
Base URL
/identities/v1

Permissions

Identities API credentials are managed by organizational admins in the Cirrus Console.

Identities

Identity objects are parent records that track information or assets associated with a user.

Attribute Collections

Attribute collections are bundles of attributes associated with a specific authority, such as a department or a credential.

Remote Credentials

Remote credentials are a special type of attribute collection, used to pre-link an identity record with a credential issued by an authentication provider prior to that credential being seen by a Cirrus Proxy. Remote credentials ensure that authentication at a Proxy with a particular authentication provider credential results in association with the correct pre-provisioned identity record.

Because remote credential objects represent a remote (external) authentication provider, only the authority and UID (credential identifier) are permitted; no additional attributes may be provided.

Remote credential attribute collections are included in the response of read operations that include attributeCollections in their output (i.e., GET /list/byAttributeCollection/{environment} and GET /fetch/{cirrusId}). The attributes member of any remote credential attribute collection will always be an empty object (i.e., "attributes": {}).

OrgBrandedID

OrgBrandedID is a hosted authentication provider option included with many Cirrus Identity subscriptions.

Authentication

HTTPBasichttp

Scheme: basic

Miscellaneous

Fetch Permissions

GET
/identities/v1/permissions

Return permissions for the current credential.

Properties in the permissions object:

  • username: API credential username currently being used.
  • orgDomain: the organizational domain for which the credential was provisioned.
  • environments: either test or prod.
    • environments.<environment>.permissions: an array of permissions in the specified identity environment.
      • admin-all: All available identity record permissions, including permissions introduced in the future.
      • read: Read access to identity records.
      • write: Write access to identity records.
    • environments.<environment>.customerUidKeys: an array of customer-defined UID keys which the API credential may use when creating identities. Please contact Cirrus Identity Support for additional information.
    • environments.<environment>.attributeAuthorities: an array of attribute authority identifiers which the API credential may use when creating identities or creating/modifying attribute collections. Please contact Cirrus Identity Support for additional information.
  • obid: an array of permissions for OBID accounts. These permissions apply in both the test and prod environments.
    • read: Read access to OBID account attribute collections.
    • write: May auto-create an OBID account at identity creation time, or create an OBID account for a pre-existing identity.

Response

Success

Response fields application/json

model for user/permissions model (for identities API)

usernamestringrequired
orgDomainstringrequired
environmentsobject[object Object]

Map of linkgroup names to linkgroup permissions

Show child attributes
[key: string]LinkGroup

linkgroup model

Show child attributes
permissionsArray<string>

List of permissions for org + link group

customerUidKeysArray<string>

List of Customer UID tenantShortName:attributeCollectionAuthority pairs

attributeAuthoritiesArray<string>

List of Customer attribute authorities

obidArray<string>

List of OBID permissions

401Unauthorized

Unauthorized

500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Identities

List Identities

GET
/identities/v1/list/{environment}

List all identity records for a specific environment (test or prod).

Parameters

environmentIdentityEnvironmenttestprodrequiredpath

identity environment

page_idxinteger>= 11query

requested page index

page_sizeinteger[1, 50]10query

requested number of items per page

sort_keyIdentityListSortKeycirrusUidsngivenNamemailcreateTimelastUpdateTimecreateTimequery

sort key

sort_orderIdentityListSortOrderascdescascquery

sort order

search_termstring | nullquery

optional search term

Response

Successful Response

Response fields application/json

list of items on this page

Show child attributes

base identity model

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
mailstring | null

email address

Show child attributes
Any of
string
null
Example
aarcus@athena-institite.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

Surname

Show child attributes
Any of
string
null
Example
Arcus
createTimestring<date-time>required

identity creation timestamp

lastUpdateTimestring<date-time>required

identity last update timestamp

Example
{
  "cirrusUid": "a82113d1-7072-494f-91c5-be3dbe2db08d",
  "createTime": "2025-10-31T19:12:07+00:00",
  "givenName": "Alice",
  "lastUpdateTime": "2025-10-31T19:12:07+00:00",
  "mail": "aarcus@athena-institute.net",
  "sn": "Arcus"
}
total_itemsinteger>= 0required

total number of items

page_cntinteger>= 0required

total number of pages

page_sizeinteger>= 0required

number of items on this page

page_idxinteger>= 1required

current page index

401Unauthorized

Unauthorized

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

List Identities By Attr Collection

GET
/identities/v1/list/byAttributeCollection/{environment}

List all identity records associated with a specific attributeCollectionAuthority (e.g., records containing an alumni attribute collection), or a combination of attributeCollectionAuthority and uid (e.g., find the alumni record with alumni uid of '1234567').

Parameters

environmentIdentityEnvironmenttestprodrequiredpath

identity environment

attributeAuthoritystringrequiredquery

attribute authority identitifer

attributeAuthorityUidstringquery

unique UID assigned by attribute authority

page_idxinteger>= 11query
page_sizeinteger[1, 50]10query
sort_keyIdentityListSortKeyidcirrusUidsngivenNamemailcreateTimelastUpdateTimecreateTimequery
sort_orderIdentityListSortOrderascdescascquery

Response

Successful Response

Response fields application/json

list of items on this page

Show child attributes

full identity model

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
mailstring | null

email address

Show child attributes
Any of
string
null
Example
aarcus@athena-institite.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

Surname

Show child attributes
Any of
string
null
Example
Arcus
createTimestring<date-time>required

identity creation timestamp

lastUpdateTimestring<date-time>required

identity last update timestamp

attributeCollectionsArray<AttributeCollectionOutput> | null

list of AttributeCollectionOutput

Show child attributes
Any of
Show child attributes

output attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

null
Example
{
  "attributeCollections": [
    {
      "attributeCollectionAuthority": "https://athena-guest.idp.cirrusidentity.com/idp",
      "attributeCollectionAuthorityType": "obid",
      "attributes": {
        "scope": [
          "athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:0.9.2342.19200300.100.1.1": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
        ],
        "urn:oid:0.9.2342.19200300.100.1.3": [
          "aarcus@athena-institute.net"
        ],
        "urn:oid:1.3.6.1.4.1.5923.1.1.1.6": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c@athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:2.16.840.1.113730.3.1.241": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.3": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.4": [
          "Arcus"
        ],
        "urn:oid:2.5.4.42": [
          "Alice"
        ]
      },
      "createTime": "2025-10-31T19:12:08+00:00",
      "credentialLastUsed": "2026-06-04T17:16:35+00:00",
      "lastUpdateTime": "2025-10-31T19:12:08+00:00",
      "uid": "cuid-8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
    },
    {
      "attributeCollectionAuthority": "AthenaID",
      "attributeCollectionAuthorityType": "sor",
      "attributes": {
        "athenaId": [
          "ai-12345"
        ],
        "givenName": [
          "Alice"
        ],
        "sn": [
          "Arcus"
        ]
      },
      "createTime": "2025-11-02T01:24:00+00:00",
      "lastUpdateTime": "2025-11-02T01:24:00+00:00",
      "uid": "ai-12345"
    }
  ],
  "cirrusUid": "a82113d1-7072-494f-91c5-be3dbe2db08d",
  "createTime": "2025-10-31T19:12:07+00:00",
  "givenName": "Alice",
  "lastUpdateTime": "2025-10-31T19:12:07+00:00",
  "mail": "aarcus@athena-institute.net",
  "sn": "Arcus"
}
total_itemsinteger>= 0required

total number of items

page_cntinteger>= 0required

total number of pages

page_sizeinteger>= 0required

number of items on this page

page_idxinteger>= 1required

current page index

401Unauthorized

Unauthorized

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Search Identities

GET
/identities/v1/search/{environment}/{searchTerm}

List cirrusUid values for identity records matching search term. Search includes attribute collections.

Parameters

environmentIdentityEnvironmenttestprodrequiredpath

identity environment

searchTermstringrequiredpath

term to use in search; will be sub-string matched against name and email fields in identity and linked attributeCollections

Response

200OKArray<string>

Success

Response fields application/json
Array<string>
401Unauthorized

Unauthorized

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Fetch Identity

GET
/identities/v1/fetch/{cirrusUid}

Retrieve a single identity record by cirrusUid.

Parameters

cirrusUidstringrequiredpath

cirrusUid of identity record

Response

Successful Response

Response fields application/json

full identity model

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
mailstring | null

email address

Show child attributes
Any of
string
null
Example
aarcus@athena-institite.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

Surname

Show child attributes
Any of
string
null
Example
Arcus
createTimestring<date-time>required

identity creation timestamp

lastUpdateTimestring<date-time>required

identity last update timestamp

attributeCollectionsArray<AttributeCollectionOutput> | null

list of AttributeCollectionOutput

Show child attributes
Any of
Show child attributes

output attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

null
Example
{
  "attributeCollections": [
    {
      "attributeCollectionAuthority": "https://athena-guest.idp.cirrusidentity.com/idp",
      "attributeCollectionAuthorityType": "obid",
      "attributes": {
        "scope": [
          "athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:0.9.2342.19200300.100.1.1": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
        ],
        "urn:oid:0.9.2342.19200300.100.1.3": [
          "aarcus@athena-institute.net"
        ],
        "urn:oid:1.3.6.1.4.1.5923.1.1.1.6": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c@athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:2.16.840.1.113730.3.1.241": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.3": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.4": [
          "Arcus"
        ],
        "urn:oid:2.5.4.42": [
          "Alice"
        ]
      },
      "createTime": "2025-10-31T19:12:08+00:00",
      "credentialLastUsed": "2026-06-04T17:16:35+00:00",
      "lastUpdateTime": "2025-10-31T19:12:08+00:00",
      "uid": "cuid-8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
    },
    {
      "attributeCollectionAuthority": "AthenaID",
      "attributeCollectionAuthorityType": "sor",
      "attributes": {
        "athenaId": [
          "ai-12345"
        ],
        "givenName": [
          "Alice"
        ],
        "sn": [
          "Arcus"
        ]
      },
      "createTime": "2025-11-02T01:24:00+00:00",
      "lastUpdateTime": "2025-11-02T01:24:00+00:00",
      "uid": "ai-12345"
    }
  ],
  "cirrusUid": "a82113d1-7072-494f-91c5-be3dbe2db08d",
  "createTime": "2025-10-31T19:12:07+00:00",
  "givenName": "Alice",
  "lastUpdateTime": "2025-10-31T19:12:07+00:00",
  "mail": "aarcus@athena-institute.net",
  "sn": "Arcus"
}
401Unauthorized

Unauthorized

404Not Found

Not Found

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Create Identity

POST
/identities/v1/create/{environment}

Create an identity record, including optional additions as permitted for your credential:

  • obid - Create an OrgBrandedID sign-in credential for the identity, inviting the user to set a password for it, e.g.:

    "obid": true
  • quiet - Suppress any user-facing emails that might be triggered as a result of account creation - e.g., an OrgBrandedID account setup email

    "quiet": true
  • attributeCollections - Create one or more authorized types of attribute collections for the identity, e.g.:

    "attributeCollections": [
        {
            "attributeCollectionAuthority": "alumni",
            "uid": "al-12345",
            "attributes": {
                "alumniId": [
                    "al-12345"
                ],
                "givenName": [
                    "Alice"
                ],
                "sn": [
                    "Arcus"
                ]
            }
        }
    ]
  • remoteCredentials - Create one or more remote credentials for the identity, e.g.:

    "remoteCredentials": [
        {
            "remoteCredentialAuthority": "https://shib.athena-institute.net/idp/shibboleth",
            "uid": "hugohail123"
        }
    ]
  • customerUidGen - Auto-generate an identifier with a format customized to your organization, e.g.:

    "customerUidGen": "athenaCustomId"

Body

application/json

model for creating a new identity record

mailstring<email>required

email address

Example
aarcus@athena-institute.net
givenNamestringrequired

given name

Example
Alice
snstringrequired

surname

Example
Arcus
customerUidGenstring | null

optional Cirrus-provided key for generating customer-defined UIDs

Show child attributes
Any of
string
null
obidbooleanfalse

whether to create/link an OrgBrandedID account for mail value

quietbooleanfalse

suppress any user-facing emails that might be triggered as a result of account creation - e.g., an OrgBrandedID account setup email

allowDuplicateEmailbooleanfalse

whether to allow creation of an identity record with an email address already associated with another identity

attributeCollectionsArray<AttributeCollectionInput> | null

optional list of attribute collections to create and link to identity record

Show child attributes
Any of
Show child attributes

attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
null
remoteCredentialsArray<RemoteCredentialInput> | null

optional list of remote credential (authority, uid) pairs to create and link to identity record

Show child attributes
Any of
Show child attributes

remote credential model

remoteCredentialAuthoritystringrequired

identifier of remote credential authority

Example
https://athena-institute.net/idp
Example
urn:mace:incommon:athena-institute.net
uidstringrequired

unique identifier at remote credential authority

Example
ai-12345
null
Example
{
  "mail": "aarcus@athena-institute.net",
  "givenName": "Alice",
  "sn": "Arcus",
  "obid": false,
  "quiet": false,
  "allowDuplicateEmail": false
}

Parameters

environmentIdentityEnvironmenttestprodrequiredpath

identity environment

Response

201CreatedIdentityModel

Successful Response

Response fields application/json

full identity model

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
mailstring | null

email address

Show child attributes
Any of
string
null
Example
aarcus@athena-institite.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

Surname

Show child attributes
Any of
string
null
Example
Arcus
createTimestring<date-time>required

identity creation timestamp

lastUpdateTimestring<date-time>required

identity last update timestamp

attributeCollectionsArray<AttributeCollectionOutput> | null

list of AttributeCollectionOutput

Show child attributes
Any of
Show child attributes

output attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

null
Example
{
  "attributeCollections": [
    {
      "attributeCollectionAuthority": "https://athena-guest.idp.cirrusidentity.com/idp",
      "attributeCollectionAuthorityType": "obid",
      "attributes": {
        "scope": [
          "athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:0.9.2342.19200300.100.1.1": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
        ],
        "urn:oid:0.9.2342.19200300.100.1.3": [
          "aarcus@athena-institute.net"
        ],
        "urn:oid:1.3.6.1.4.1.5923.1.1.1.6": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c@athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:2.16.840.1.113730.3.1.241": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.3": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.4": [
          "Arcus"
        ],
        "urn:oid:2.5.4.42": [
          "Alice"
        ]
      },
      "createTime": "2025-10-31T19:12:08+00:00",
      "credentialLastUsed": "2026-06-04T17:16:35+00:00",
      "lastUpdateTime": "2025-10-31T19:12:08+00:00",
      "uid": "cuid-8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
    },
    {
      "attributeCollectionAuthority": "AthenaID",
      "attributeCollectionAuthorityType": "sor",
      "attributes": {
        "athenaId": [
          "ai-12345"
        ],
        "givenName": [
          "Alice"
        ],
        "sn": [
          "Arcus"
        ]
      },
      "createTime": "2025-11-02T01:24:00+00:00",
      "lastUpdateTime": "2025-11-02T01:24:00+00:00",
      "uid": "ai-12345"
    }
  ],
  "cirrusUid": "a82113d1-7072-494f-91c5-be3dbe2db08d",
  "createTime": "2025-10-31T19:12:07+00:00",
  "givenName": "Alice",
  "lastUpdateTime": "2025-10-31T19:12:07+00:00",
  "mail": "aarcus@athena-institute.net",
  "sn": "Arcus"
}
401Unauthorized

Unauthorized

409Conflict

Conflict

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Modify Identity

PATCH
/identities/v1/modify/{cirrusUid}

Modify core attributes of identity record.

The attributes that may be modified are:

  • givenName
  • sn
  • mail

Any combination of these attributes may be provided; only provided attribute values will be updated. Attributes with a value of null will be ignored (treated the same as omitting them).

If the mail attribute value is present on another identity in the same environment, a 409 Conflict error will be returned. If you wish to override this behavior, and allow duplicate email values, pass true for the boolean parameter, allowDuplicateEmail.

The updated identity record is returned upon success.

Body

application/json

model for modifying base properties on existing identity record

mailstring | null

email address

Show child attributes
Any of
string<email>
null
Example
aarcus@athena-institute.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

surname

Show child attributes
Any of
string
null
Example
Arcus
allowDuplicateEmailbooleanfalse

whether to allow creation of an identity record with an email address already associated with another identity

Parameters

cirrusUidstringrequiredpath

cirrusUid of identity record

Response

Successful Response

Response fields application/json

full identity model

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
mailstring | null

email address

Show child attributes
Any of
string
null
Example
aarcus@athena-institite.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

Surname

Show child attributes
Any of
string
null
Example
Arcus
createTimestring<date-time>required

identity creation timestamp

lastUpdateTimestring<date-time>required

identity last update timestamp

attributeCollectionsArray<AttributeCollectionOutput> | null

list of AttributeCollectionOutput

Show child attributes
Any of
Show child attributes

output attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

null
Example
{
  "attributeCollections": [
    {
      "attributeCollectionAuthority": "https://athena-guest.idp.cirrusidentity.com/idp",
      "attributeCollectionAuthorityType": "obid",
      "attributes": {
        "scope": [
          "athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:0.9.2342.19200300.100.1.1": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
        ],
        "urn:oid:0.9.2342.19200300.100.1.3": [
          "aarcus@athena-institute.net"
        ],
        "urn:oid:1.3.6.1.4.1.5923.1.1.1.6": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c@athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:2.16.840.1.113730.3.1.241": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.3": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.4": [
          "Arcus"
        ],
        "urn:oid:2.5.4.42": [
          "Alice"
        ]
      },
      "createTime": "2025-10-31T19:12:08+00:00",
      "credentialLastUsed": "2026-06-04T17:16:35+00:00",
      "lastUpdateTime": "2025-10-31T19:12:08+00:00",
      "uid": "cuid-8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
    },
    {
      "attributeCollectionAuthority": "AthenaID",
      "attributeCollectionAuthorityType": "sor",
      "attributes": {
        "athenaId": [
          "ai-12345"
        ],
        "givenName": [
          "Alice"
        ],
        "sn": [
          "Arcus"
        ]
      },
      "createTime": "2025-11-02T01:24:00+00:00",
      "lastUpdateTime": "2025-11-02T01:24:00+00:00",
      "uid": "ai-12345"
    }
  ],
  "cirrusUid": "a82113d1-7072-494f-91c5-be3dbe2db08d",
  "createTime": "2025-10-31T19:12:07+00:00",
  "givenName": "Alice",
  "lastUpdateTime": "2025-10-31T19:12:07+00:00",
  "mail": "aarcus@athena-institute.net",
  "sn": "Arcus"
}
401Unauthorized

Unauthorized

404Not Found

Not Found

409Conflict

Conflict

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Attribute Collections

Create Attribute Collection

POST
/identities/v1/attributeCollections/create/{cirrusUid}

Create a new attribute collection under an authorized authority for an existing identity record.

Body

application/json

attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}

Parameters

cirrusUidstringrequiredpath

cirrusUid of identity record

Response

Successful Response

Response fields application/json

wrapper for returning attribute collections along with cirrusUid

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
attributeCollectionAttributeCollectionOutputrequired

created/modified attributeCollection

Show child attributes
attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

401Unauthorized

Unauthorized

404Not Found

Not Found

409Conflict

Conflict

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Modify Attribute Collection

PUT
/identities/v1/attributeCollections/modify/{cirrusUid}

Modify a specific attribute collection under an authorized authority for an identity record.

Body

application/json

attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}

Parameters

cirrusUidstringrequiredpath

cirrusUid of identity record

overwritebooleanfalsequery

completely overwrite attributes (true) or merge (default, false)

Response

Successful Response

Response fields application/json

wrapper for returning attribute collections along with cirrusUid

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
attributeCollectionAttributeCollectionOutputrequired

created/modified attributeCollection

Show child attributes
attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

401Unauthorized

Unauthorized

404Not Found

Not Found

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Delete Attribute Collection

DELETE
/identities/v1/attributeCollections/delete/{cirrusUid}

Delete a specific attribute collection under an authorized authority from an identity record.

Parameters

cirrusUidstringrequiredpath

cirrusUid of identity record

attributeAuthoritystringrequiredquery

identifier of attribute collection authority

attributeAuthorityUidstringrequiredquery

unique identifier for attribute collection

Response

204No Content

Successful Response

401Unauthorized

Unauthorized

404Not Found

Not Found

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Remote Credentials

Create Remote Credential

POST
/identities/v1/remoteCredentials/create/{cirrusUid}

Create a new remote credential under an existing identity record.

Body

application/json

remote credential model

remoteCredentialAuthoritystringrequired

identifier of remote credential authority

Example
https://athena-institute.net/idp
Example
urn:mace:incommon:athena-institute.net
uidstringrequired

unique identifier at remote credential authority

Example
ai-12345

Parameters

cirrusUidstringrequiredpath

cirrusUid of identity record

Response

Successful Response

Response fields application/json

wrapper for returning attribute collections along with cirrusUid

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
attributeCollectionAttributeCollectionOutputrequired

created/modified attributeCollection

Show child attributes
attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

401Unauthorized

Unauthorized

404Not Found

Not Found

409Conflict

Conflict

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Delete Remote Credential

DELETE
/identities/v1/remoteCredentials/delete/{cirrusUid}

Delete a specific remote credential under an identity record.

Parameters

cirrusUidstringrequiredpath

cirrusUid of identity record

remoteCredentialAuthoritystringrequiredquery

identifier of remote credential authority

remoteCredentialUidstringrequiredquery

unique identifier at remote credential authority

Response

204No Content

Successful Response

401Unauthorized

Unauthorized

404Not Found

Not Found

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Obid

Create Obid

POST
/identities/v1/obids/create/{cirrusUid}

Create a new OrgBrandedID sign-in credential for an existing identity record, sending an onboarding email to the designated email address. The quiet flag can be used to suppress the OrgBrandedID account setup email.

Body

application/json

model for creating a new OBID account

givenNamestring | null

first name

Show child attributes
Any of
string
null
Example
Alice
surnamestring | null

last name

Show child attributes
Any of
string
null
Example
Arcus
emailstring | null

email address

Show child attributes
Any of
string<email>
null
Example
aarcus@athena-institute.net
quietbooleanfalse

suppress OrgBrandedID account setup email

Parameters

cirrusUidstringrequiredpath

cirrusUid of identity record

Response

Success

Response fields application/json

wrapper for returning attribute collections along with cirrusUid

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
attributeCollectionAttributeCollectionOutputrequired

created/modified attributeCollection

Show child attributes
attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

401Unauthorized

Unauthorized

404Not Found

Not Found

409Conflict

Conflict

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Send Obid Credential Email

POST
/identities/v1/obids/{cirrusUid}/sendCredentialEmail/{cuid}

Send a credential email for the OBID account cuid associated with identity cirrusUid. If the OBID account is in either the BOOTSTRAP or INACTIVE state, the "account activation" email will be sent. Otherwise, the "password reset" email will be sent.

Parameters

cirrusUidstringrequiredpath

cirrusUid of identity record

cuidstringrequiredpath

identifier of OBID account (begins with cuid-)

Response

204No Content

Successful Response

401Unauthorized

Unauthorized

404Not Found

Not Found

409Conflict

Not Found

422Unprocessable EntityHTTPValidationError

Validation Error

Response fields application/json
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject
500Internal Server Error

Internal Server Error

Authorization

HTTPBasichttp (basic)

Models

AttributeCollectionAuthorityType

string

enum for deployment patterns

AttributeCollectionAuthorityTypesorobidgateway

AttributeCollectionCreateOrModifyOutput

object

wrapper for returning attribute collections along with cirrusUid

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
attributeCollectionAttributeCollectionOutputrequired

created/modified attributeCollection

Show child attributes
attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

AttributeCollectionInput

object

attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}

AttributeCollectionOutput

object

output attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

HTTPValidationError

object
Show child attributes
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject

IdentitiesApiUserPermissionsModel

object

model for user/permissions model (for identities API)

usernamestringrequired
orgDomainstringrequired
environmentsobject[object Object]

Map of linkgroup names to linkgroup permissions

Show child attributes
[key: string]LinkGroup

linkgroup model

Show child attributes
permissionsArray<string>

List of permissions for org + link group

customerUidKeysArray<string>

List of Customer UID tenantShortName:attributeCollectionAuthority pairs

attributeAuthoritiesArray<string>

List of Customer attribute authorities

obidArray<string>

List of OBID permissions

IdentityCreateInput

object

model for creating a new identity record

mailstring<email>required

email address

Example
aarcus@athena-institute.net
givenNamestringrequired

given name

Example
Alice
snstringrequired

surname

Example
Arcus
customerUidGenstring | null

optional Cirrus-provided key for generating customer-defined UIDs

Show child attributes
Any of
string
null
obidbooleanfalse

whether to create/link an OrgBrandedID account for mail value

quietbooleanfalse

suppress any user-facing emails that might be triggered as a result of account creation - e.g., an OrgBrandedID account setup email

allowDuplicateEmailbooleanfalse

whether to allow creation of an identity record with an email address already associated with another identity

attributeCollectionsArray<AttributeCollectionInput> | null

optional list of attribute collections to create and link to identity record

Show child attributes
Any of
Show child attributes

attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
null
remoteCredentialsArray<RemoteCredentialInput> | null

optional list of remote credential (authority, uid) pairs to create and link to identity record

Show child attributes
Any of
Show child attributes

remote credential model

remoteCredentialAuthoritystringrequired

identifier of remote credential authority

Example
https://athena-institute.net/idp
Example
urn:mace:incommon:athena-institute.net
uidstringrequired

unique identifier at remote credential authority

Example
ai-12345
null

IdentityEnvironment

string

enum for allowed linking environments

IdentityEnvironmenttestprod

IdentityListSortKey

string

enum for allowed fields to sort identity list by

IdentityListSortKeyidcirrusUidsngivenNamemailcreateTimelastUpdateTime

IdentityListSortOrder

string

enum for allowed orders to sort identity list by

IdentityListSortOrderascdesc

IdentityModel

object

full identity model

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
mailstring | null

email address

Show child attributes
Any of
string
null
Example
aarcus@athena-institite.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

Surname

Show child attributes
Any of
string
null
Example
Arcus
createTimestring<date-time>required

identity creation timestamp

lastUpdateTimestring<date-time>required

identity last update timestamp

attributeCollectionsArray<AttributeCollectionOutput> | null

list of AttributeCollectionOutput

Show child attributes
Any of
Show child attributes

output attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

null
Example
{
  "attributeCollections": [
    {
      "attributeCollectionAuthority": "https://athena-guest.idp.cirrusidentity.com/idp",
      "attributeCollectionAuthorityType": "obid",
      "attributes": {
        "scope": [
          "athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:0.9.2342.19200300.100.1.1": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
        ],
        "urn:oid:0.9.2342.19200300.100.1.3": [
          "aarcus@athena-institute.net"
        ],
        "urn:oid:1.3.6.1.4.1.5923.1.1.1.6": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c@athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:2.16.840.1.113730.3.1.241": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.3": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.4": [
          "Arcus"
        ],
        "urn:oid:2.5.4.42": [
          "Alice"
        ]
      },
      "createTime": "2025-10-31T19:12:08+00:00",
      "credentialLastUsed": "2026-06-04T17:16:35+00:00",
      "lastUpdateTime": "2025-10-31T19:12:08+00:00",
      "uid": "cuid-8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
    },
    {
      "attributeCollectionAuthority": "AthenaID",
      "attributeCollectionAuthorityType": "sor",
      "attributes": {
        "athenaId": [
          "ai-12345"
        ],
        "givenName": [
          "Alice"
        ],
        "sn": [
          "Arcus"
        ]
      },
      "createTime": "2025-11-02T01:24:00+00:00",
      "lastUpdateTime": "2025-11-02T01:24:00+00:00",
      "uid": "ai-12345"
    }
  ],
  "cirrusUid": "a82113d1-7072-494f-91c5-be3dbe2db08d",
  "createTime": "2025-10-31T19:12:07+00:00",
  "givenName": "Alice",
  "lastUpdateTime": "2025-10-31T19:12:07+00:00",
  "mail": "aarcus@athena-institute.net",
  "sn": "Arcus"
}

IdentityModelBase

object

base identity model

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
mailstring | null

email address

Show child attributes
Any of
string
null
Example
aarcus@athena-institite.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

Surname

Show child attributes
Any of
string
null
Example
Arcus
createTimestring<date-time>required

identity creation timestamp

lastUpdateTimestring<date-time>required

identity last update timestamp

Example
{
  "cirrusUid": "a82113d1-7072-494f-91c5-be3dbe2db08d",
  "createTime": "2025-10-31T19:12:07+00:00",
  "givenName": "Alice",
  "lastUpdateTime": "2025-10-31T19:12:07+00:00",
  "mail": "aarcus@athena-institute.net",
  "sn": "Arcus"
}

IdentityModifyInput

object

model for modifying base properties on existing identity record

mailstring | null

email address

Show child attributes
Any of
string<email>
null
Example
aarcus@athena-institute.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

surname

Show child attributes
Any of
string
null
Example
Arcus
allowDuplicateEmailbooleanfalse

whether to allow creation of an identity record with an email address already associated with another identity

LinkGroup

object

linkgroup model

permissionsArray<string>

List of permissions for org + link group

customerUidKeysArray<string>

List of Customer UID tenantShortName:attributeCollectionAuthority pairs

attributeAuthoritiesArray<string>

List of Customer attribute authorities

OrgBrandedIdAccountCreateInput

object

model for creating a new OBID account

givenNamestring | null

first name

Show child attributes
Any of
string
null
Example
Alice
surnamestring | null

last name

Show child attributes
Any of
string
null
Example
Arcus
emailstring | null

email address

Show child attributes
Any of
string<email>
null
Example
aarcus@athena-institute.net
quietbooleanfalse

suppress OrgBrandedID account setup email

Page_IdentityModelBase_

object

list of items on this page

Show child attributes

base identity model

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
mailstring | null

email address

Show child attributes
Any of
string
null
Example
aarcus@athena-institite.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

Surname

Show child attributes
Any of
string
null
Example
Arcus
createTimestring<date-time>required

identity creation timestamp

lastUpdateTimestring<date-time>required

identity last update timestamp

Example
{
  "cirrusUid": "a82113d1-7072-494f-91c5-be3dbe2db08d",
  "createTime": "2025-10-31T19:12:07+00:00",
  "givenName": "Alice",
  "lastUpdateTime": "2025-10-31T19:12:07+00:00",
  "mail": "aarcus@athena-institute.net",
  "sn": "Arcus"
}
total_itemsinteger>= 0required

total number of items

page_cntinteger>= 0required

total number of pages

page_sizeinteger>= 0required

number of items on this page

page_idxinteger>= 1required

current page index

Page_IdentityModel_

object

list of items on this page

Show child attributes

full identity model

cirrusUidstringrequired

cirrusUid of identity record

Example
a82113d1-7072-494f-91c5-be3dbe2db08d
mailstring | null

email address

Show child attributes
Any of
string
null
Example
aarcus@athena-institite.net
givenNamestring | null

given name

Show child attributes
Any of
string
null
Example
Alice
snstring | null

Surname

Show child attributes
Any of
string
null
Example
Arcus
createTimestring<date-time>required

identity creation timestamp

lastUpdateTimestring<date-time>required

identity last update timestamp

attributeCollectionsArray<AttributeCollectionOutput> | null

list of AttributeCollectionOutput

Show child attributes
Any of
Show child attributes

output attribute collection model

attributeCollectionAuthoritystringrequired

identifier of attribute collection authority

Example
AthenaID
uidstringrequired

unique identifier for attribute authority collection instance

Example
ai-12345
attributesobject[object Object]

object of attribute keys and list of values

Example
{
  "athenaId": [
    "ai-12345"
  ],
  "givenName": [
    "Alice"
  ],
  "sn": [
    "Arcus"
  ]
}
createTimestring<date-time>required

attribute collection creation timestamp

lastUpdateTimestring<date-time>required

attribute collection last update timestamp

credentialLastUsedstring | null

last time used, if attribute collection represents a credential

Show child attributes
Any of
string<date-time>
null
attributeCollectionAuthorityTypeAttributeCollectionAuthorityTypesorobidgatewayrequiredread only

type of attribute collection authority

null
Example
{
  "attributeCollections": [
    {
      "attributeCollectionAuthority": "https://athena-guest.idp.cirrusidentity.com/idp",
      "attributeCollectionAuthorityType": "obid",
      "attributes": {
        "scope": [
          "athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:0.9.2342.19200300.100.1.1": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
        ],
        "urn:oid:0.9.2342.19200300.100.1.3": [
          "aarcus@athena-institute.net"
        ],
        "urn:oid:1.3.6.1.4.1.5923.1.1.1.6": [
          "8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c@athena-guest.idp.cirrusidentity.com"
        ],
        "urn:oid:2.16.840.1.113730.3.1.241": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.3": [
          "Alice Arcus"
        ],
        "urn:oid:2.5.4.4": [
          "Arcus"
        ],
        "urn:oid:2.5.4.42": [
          "Alice"
        ]
      },
      "createTime": "2025-10-31T19:12:08+00:00",
      "credentialLastUsed": "2026-06-04T17:16:35+00:00",
      "lastUpdateTime": "2025-10-31T19:12:08+00:00",
      "uid": "cuid-8a37d4f4-d09f-4ac5-bf67-9e38f987bf1c"
    },
    {
      "attributeCollectionAuthority": "AthenaID",
      "attributeCollectionAuthorityType": "sor",
      "attributes": {
        "athenaId": [
          "ai-12345"
        ],
        "givenName": [
          "Alice"
        ],
        "sn": [
          "Arcus"
        ]
      },
      "createTime": "2025-11-02T01:24:00+00:00",
      "lastUpdateTime": "2025-11-02T01:24:00+00:00",
      "uid": "ai-12345"
    }
  ],
  "cirrusUid": "a82113d1-7072-494f-91c5-be3dbe2db08d",
  "createTime": "2025-10-31T19:12:07+00:00",
  "givenName": "Alice",
  "lastUpdateTime": "2025-10-31T19:12:07+00:00",
  "mail": "aarcus@athena-institute.net",
  "sn": "Arcus"
}
total_itemsinteger>= 0required

total number of items

page_cntinteger>= 0required

total number of pages

page_sizeinteger>= 0required

number of items on this page

page_idxinteger>= 1required

current page index

RemoteCredentialInput

object

remote credential model

remoteCredentialAuthoritystringrequired

identifier of remote credential authority

Example
https://athena-institute.net/idp
Example
urn:mace:incommon:athena-institute.net
uidstringrequired

unique identifier at remote credential authority

Example
ai-12345

ValidationError

object
locArray<string | integer>required
Show child attributes
Any of
string
integer
msgstringrequired
typestringrequired
inputany
ctxobject